// #region servers
var lhost   = window.location.href.indexOf("localhost/") > -1;
var prod 	= window.location.href.indexOf("https://documentation") != -1;
var tst     = window.location.href.indexOf("https://tst-documentation") != -1;
var exp 	= window.location.href.indexOf("https://tst-expere-documentation") != -1;
var stg 	= window.location.href.indexOf("https://stg-documentation") != -1;
var dev 	= window.location.href.indexOf("https://dev-documentation") != -1;
// #endregion


// #region General variables
var DefaultText                 = "Enter text to start filtering";
var IsChangelog                 = window.location.href.indexOf("changelog.html") != -1;
var IsChangelogPage             = window.location.href.indexOf("changelog.html") != -1;
var IsHosted                    = window.location.href.indexOf("audience=hosted") != -1;
var IsIndex                     = window.location.href.indexOf("index.html") != -1;
var IsInstalled                 = window.location.href.indexOf("audience=installed") != -1;
var IsSearchPage                = window.location.href.indexOf("/search.html?searchQuery") != -1;
var revLevel                    = sessionStorage.getItem('revision');
// #endregion

// #region Generic variables
var ProductLandingPage = "";
var ProductName = "";
var IsRN = "";
var IncRNLink = '';
var ChangelogLink = "";
var RemoveSearch = "";
// #endregion

// #region DGS
var IsADA                       = window.location.href.indexOf("/ADA/") > -1;
var IsDataConversionGuide       = window.location.href.indexOf("/DefaultData/OPPSAConversion/") != -1;
var IsDefaultData               = window.location.href.indexOf("/DefaultData/") != -1;
var IsDefaultDataInstallGuide   = window.location.href.indexOf("/ExpereEZConfig/DefaultData/InstallationGuide/") != -1;
var IsDefaultDataODInstGuide    = window.location.href.indexOf("/ExpereEZConfig/DefaultData/OD-InstallGuide/") != -1;
var IsDefaultDataUpgradeGuide   = window.location.href.indexOf("/ExpereEZConfig/DefaultData/UpgradeGuide/") != -1;
var IsDefaultDataUserGuide      = window.location.href.indexOf("/ExpereEZConfig/DefaultData/UserGuide/") != -1;
var IsDefaultDataWebServGuide   = window.location.href.indexOf("/ExpereEZConfig/DefaultData/WebServicesGuide/") != -1;
var IsDGS                       = window.location.href.indexOf("/DGS/") != -1;
var IsDGSChangelog              = window.location.href.indexOf("DGS/Change-Log") != -1;
var IsDGSImpStrat               = window.location.href.indexOf("DGS/Implementation-Strategies") != -1;
var IsDGSMgmtServGuide          = window.location.href.indexOf("/DGS/Management-Services/") != -1;
var IsDGSMgmtToolGuide          = window.location.href.indexOf("/DGS/Management-Tool/") != -1;
var IsDGSODInstallGuide         = window.location.href.indexOf("/DGS/OD-Installation-Guide/") != -1;
var IsDGSServInstallGuide       = window.location.href.indexOf("/DGS/Installation-Guide/") != -1;
var IsDGSServUpgradeGuide       = window.location.href.indexOf("/DGS/Upgrade-Process/") != -1;
var IsDGSToolSuite              = window.location.href.indexOf("DGS/Tool-Suite") != -1;
var IsDGSWebServices            = window.location.href.indexOf("DGS/Web-Services") != -1;
var IsEOriginalQuickGuide       = window.location.href.indexOf("/Expere/eOriginal/QuickGuide/") != -1;
var IsEZConfig                  = window.location.href.indexOf("ExpereEZConfig") != -1;
var IsEZConfConsChangelog       = window.location.href.indexOf("/ExpereEZConfig/ChangeLog/") != -1;
var IsEZGateway                 = window.location.href.indexOf("/ExpereEZConfig/EZGateway/") != -1;
var IsEZGatewayInstallGuide     = window.location.href.indexOf("/ExpereEZConfig/EZGateway/InstallGuide/") != -1;
var IsEZGatewayODInstGuide      = window.location.href.indexOf("/ExpereEZConfig/EZGateway/OD-Installation-Guide/") != -1;
var IsEZGatewayWebServGuide     = window.location.href.indexOf("/ExpereEZConfig/EZGateway/WebServices/") != -1;
var IsOAuth                     = window.location.href.indexOf("OAuth") != -1;
var IsOAuthSetupGuide           = window.location.href.indexOf("/OAuth/Setup/") != -1;
var IsOPPSA                     = window.location.href.indexOf("OPPSA") != -1;
var IsPnP                       = window.location.href.indexOf("/PackagesAndPackets/") != -1;
var IsPnPChangelog              = window.location.href.indexOf("/PackagesAndPackets/ChangeLog/") != -1;
var IsPnPInstallGuide           = window.location.href.indexOf("/ExpereEZConfig/InstallGuide/") != -1;
var IsPNPUpgradeGuide           = window.location.href.indexOf("/ExpereEZConfig/PackagesAndPackets/UpgradeGuide/") != -1;
var IsPNPUserGuide              = window.location.href.indexOf("/ExpereEZConfig/PackagesAndPackets/UserGuide/") != -1;
var IsPNPWebServGuide           = window.location.href.indexOf("/ExpereEZConfig/WebservicesGuide/") != -1;
// #endregion

// #region Expere Authoring
var AdminToolUG                 = "/Expere/Authoring/AdministrationTool/";
var AuthoringRN                 = "/Expere/Authoring/ReleaseNotes/";
var AuthoringRNArchives         = "/Expere/Authoring/ReleaseNotesArchive/";
var AuthoringEnvInstUg          = "/Expere/Authoring/AuthoringEnvironmentInstallation/";
var DictionaryViewerUG          = "/Expere/Authoring/DV/";
var DocViewer                   = "/DocViewer/";
var EForms                      = "/EForms/"
var EngineInstallationUG        = "/Expere/Authoring/EngineInstallation/"
var ReqEd3UG                    ="/Expere/Authoring/RequirementsEditor/";
var ReqEd4UG                    ="/Expere/Authoring/RequirementsEditor4/";
var IsAdminToolUG               = window.location.href.indexOf(AdminToolUG) != -1;
var IsAuthoring                 = window.location.href.indexOf("/Expere/Authoring/") != -1;
var IsAuthoringChangelog        = window.location.href.indexOf("/Expere/Authoring/ReleaseNotes/") != -1;
var IsAuthoringChangelogHome    = window.location.href.indexOf("/Expere/Authoring/ReleaseNotes/index.html") != -1;
var IsAuthoringEnvInstUg        = window.location.href.indexOf(AuthoringEnvInstUg) != -1;
var IsAuthRN                    = window.location.href.indexOf(AuthoringRN) != -1;
var IsAuthRNArchives            = window.location.href.indexOf(AuthoringRNArchives) != -1;
var IsDictionaryViewerUG        = window.location.href.indexOf(DictionaryViewerUG) != -1;
var IsDocViewer                 = window.location.href.indexOf(DocViewer) != -1;
var IsEForms                    = window.location.href.indexOf(EForms) != -1;
var IsEngineInstallationUG      = window.location.href.indexOf(EngineInstallationUG) != -1;
var IsReqEd3UG                  = window.location.href.indexOf(ReqEd3UG) != -1;
var IsReqEd4UG                  = window.location.href.indexOf(ReqEd4UG) != -1;
// #endregion

// #region Expere Engine
// var DocViewerChangelog          = "/DocViewer/ReleaseNotes/";
// var DocViewerIntGuide           = "/DocViewer/IntegrationGuide/";
// var DocViewerUserGuide          = "/DocViewer/UserGuide/";
// var Engine                      = "/Expere/Engine/";
var EngineChangelog             = "/Expere/Engine/Change-Log/";
var ExpereDeveloperGuide        = "/Expere/Engine/Developer/";
var ExpereImpGuide              = "/Expere/Engine/Implementation-Guide/";
var ExpereSystemReq             = "/Expere/Engine/Sys-Req/";
var ExpereTestingSystem         = "/Expere/Engine/Testing-System/";
// var IsDocViewerChangelog        = window.location.href.indexOf(DocViewerChangelog) != -1;
// var IsDocViewerIntGuide         = window.location.href.indexOf(DocViewerIntGuide) != -1;
// var IsDocViewerUserGuide        = window.location.href.indexOf(DocViewerUserGuide) != -1;
// var IsEngine                    = window.location.href.indexOf(Engine) != -1;
// var IsEngineChangelog           = window.location.href.indexOf(EngineChangelog) != -1;
// var IsExpereDeveloperGuide      = window.location.href.indexOf(ExpereDeveloperGuide) != -1;
// var IsExpereImpGuide            = window.location.href.indexOf(ExpereImpGuide) != -1;
// var IsExpereSystemReq           = window.location.href.indexOf(ExpereSystemReq) != -1;
// var IsExpereTestingSystem       = window.location.href.indexOf(ExpereTestingSystem) != -1;

var IsDocViewerChangelog        = window.location.href.indexOf("/DocViewer/ReleaseNotes/") != -1;
var IsDocViewerIntGuide         = window.location.href.indexOf("/DocViewer/IntegrationGuide/") != -1;
var IsDocViewerUserGuide        = window.location.href.indexOf("/DocViewer/UserGuide/") != -1;
var IsEngine                    = window.location.href.indexOf("/Expere/Engine/") != -1;
var IsEngineChangelog           = window.location.href.indexOf(EngineChangelog) != -1;
var IsExpereDeveloperGuide      = window.location.href.indexOf(ExpereDeveloperGuide) != -1;
var IsExpereImpGuide            = window.location.href.indexOf(ExpereImpGuide) != -1;
var IsExpereSystemReq           = window.location.href.indexOf(ExpereSystemReq) != -1;
var IsExpereTestingSystem       = window.location.href.indexOf(ExpereTestingSystem) != -1;




// #endregion

// #region I-32
var I32Changelog                = "/I-32/Changelog/";
var I32FormsDesignUG            = "/I-32/FormsDesignUserGuide/";
var I32ImageUpdateUG            = "/I-32/ImageUpdate/";
var IsI32                       = window.location.href.indexOf("/I-32/") != -1;
var IsI32Changelog              = window.location.href.indexOf(I32Changelog) != -1;
var IsI32FormsDesignUG          = window.location.href.indexOf(I32FormsDesignUG) != -1;
var IsI32ImageUpdateUG          = window.location.href.indexOf(I32ImageUpdateUG) != -1;
// #endregion

// #region WK-ESign
var WKESignCaptureGuide         = "/WoltersKluwer_E-Sign/Capture/";
var WKESignFAQ                  = "/WoltersKluwer_E-Sign/FAQ/";
var WKESignLegacyUserguide      = "/WoltersKluwer_E-Sign/LegacyUserGuide/";
var WKESignOnsiteUG             = "/WoltersKluwer_E-Sign/Onsite/";
var WKESignPushStatusUG         = "/WoltersKluwer_E-Sign/PushStatus/";
var WKESignReleaseNotes         = "/WoltersKluwer_E-Sign/ReleaseNotes/";
var WKESignUserGuide            = "/WoltersKluwer_E-Sign/UserGuide/";
var WKESignSysReq               = "/WoltersKluwer_E-Sign/SystemRequirements/";
var WKESignWebServices          = "/WoltersKluwer_E-Sign/Webservices/";
var IsWKES                      = window.location.href.indexOf("/WoltersKluwer_E-Sign/") != -1;
var IsWKESignCaptureGuide       = window.location.href.indexOf(WKESignCaptureGuide) != -1;
var IsWKESignFAQ                = window.location.href.indexOf(WKESignFAQ) != -1;
var IsWKESignLegacyUserGuide    = window.location.href.indexOf(WKESignLegacyUserguide) != -1;
var IsWKESignOnsiteUG           = window.location.href.indexOf(WKESignOnsiteUG) != -1;
var IsWKESignPushStatusUG       = window.location.href.indexOf(WKESignPushStatusUG) != -1;
var IsWKESignReleaseNotes       = window.location.href.indexOf(WKESignReleaseNotes) != -1;
var IsWKESignSysReq             = window.location.href.indexOf(WKESignSysReq) != -1;
var IsWKESignUserGuide          = window.location.href.indexOf(WKESignUserGuide) != -1;
var IsWKESignWebServices        = window.location.href.indexOf(WKESignWebServices) != -1;
// #endregion

// #region WK-Hosted-Expere
var WKHostedToolSuite           = "/WK-Hosted-Expere/Tool-Suite/";
var IsDocMgmt                   = window.location.href.indexOf("eOriginal/DocumentMgmt-IntGuide") != -1;
var IsEDS                       = window.location.href.indexOf("/WK-Hosted-Expere/") != -1;
var IseOriginal                 = window.location.href.indexOf("/eOriginal/") != -1;
var IsWKHosted                  = window.location.href.indexOf("WK-Hosted-Expere") != -1;
// var IsWKHostedGetStartGuide     = window.location.href.indexOf("") != -1;
var IsWKHostedChangelog         = window.location.href.indexOf("WK-Hosted-Expere/Change-Log") != -1;
var IsWKHostedImpStrat          = window.location.href.indexOf("WK-Hosted-Expere/Implementation-Strategies") != -1;
var IsWKHostedOverview          = window.location.href.indexOf("WK-Hosted-Expere/Change-Log/topics/eds_change-log-overview.html") != -1;
var IsWKHostedToolSuite         = window.location.href.indexOf(WKHostedToolSuite) != -1;
var IsWKHostedWebServices       = window.location.href.indexOf("WK-Hosted-Expere/Web-Services") != -1;
// #endregion

// #region Lending Systems
var Assumptions                 = "/Assumptions/";
var Mortgage                    = "/Mortgage/";
var SecAdmin                    = "/SecurityAdministration/";
var SecAdminSelfHosted          = "/SecurityAdministrationself-hosted/";
var Vanceo                      = "/Vanceo/";
var IsAssumptions               = window.location.href.indexOf(Assumptions) != -1;
var IsMortgage                  = window.location.href.indexOf(Mortgage) != -1;
var IsSecAdmin                  = window.location.href.indexOf(SecAdmin) != -1;
var IsSecAdminSelfHosted        = window.location.href.indexOf(SecAdminSelfHosted) != -1;
var IsVanceo                    = window.location.href.indexOf(Vanceo) != -1;
// #endregion


// #region Landing pages
var IsAuthoringLP = window.location.href.indexOf("Authoring/index.html") != -1;
var DGSChangelogPath = "/DGS/index.html";
var WKHostedChangelogPath = "/WK-Hosted-Expere/index.html";
// #endregion

// var currentPageName     = getBaseName(window.location.href) + ".html";
// var var_searchquery     = getURLParameter('searchQuery');
